Subject: Re: [PATCH v2 0/2] doc: bisect: change plural paths to singular pathspec

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Jan 2024 14:38:16 -0800

Taylor Blau <[email-masked]> writes:

> On Tue, Jan 02, 2024 at 07:02:05PM -0900, Britton Leo Kerin wrote:
>> Britton Leo Kerin (2):
>>   doc: use singular form of repeatable path arg
>>   doc: refer to pathspec instead of path
>>
>>  Documentation/git-bisect.txt | 4 ++--
>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>
>> Range-diff against v1:
>> 1:  90c081dcab ! 1:  da40e4736b doc: use singular form of repeatable path arg
>>     @@ Commit message
>>          later document text mentions 'path' arguments, while it doesn't mention
>>          'paths'.
>>
>>     -    Signed-off-by: Britton L Kerin <[email-masked]>
>>     +    Signed-off-by: Britton Leo Kerin <[email-masked]>
>>
>>       ## Documentation/git-bisect.txt ##
>>      @@ Documentation/git-bisect.txt: The command takes various subcommands, and different options depending
>> -:  ---------- > 2:  d932b6d501 doc: refer to pathspec instead of path
>> --
>> 2.43.0
>
> Hmm. The end-state of these two patches looks good to me, but I probably
> would have written this change as a single change from "paths" ->
> "pathspec", not "paths" -> "path" -> "pathspec".

Have we seen a resolution to this comment?  I _think_ it is an OK
approach to take to do this in two steps, if the use of technical
term "pathspec" could be controversial, but since it is not, I am
fine with either one or two patches.  Since we already have the
two-patch version, let's take it.

Thanks.